.payment-block {
    display: flex;
    flex-direction: column;
    row-gap: rem(30);

    &__media {
        display: flex;
        align-items: center;
        column-gap: rem(20);
    }

    &__logo {
        width: rem(90);
    }

    &__content {
        font-weight: 500;
        font-size: rem(16);
        line-height: 135%;

        a {
            color: $secondary;
            text-decoration: underline;

            &:hover {
                color: $secondary;
                text-decoration: none;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__logo {
            width: rem(120);
        }
    }

    @include media-breakpoint-up(lg) {
        flex-direction: row;
        align-items: center;
        column-gap: rem(40);

        &__content {
            max-width: rem(500);
        }
    }

    @include media-breakpoint-up(xl) {

        &__media {
            column-gap: rem(40);
        }

        &__logo {
            width: rem(154);
        }
    }
}

.payment-list {
    display: grid;
    grid-row-gap: rem(40);
    grid-column-gap: rem(40);
    grid-template-columns: 1fr;
    margin-bottom: rem(50);

    @include media-breakpoint-up(md) {
    }

    @include media-breakpoint-up(xl) {
        grid-row-gap: rem(50);
        grid-column-gap: rem(50);
        grid-template-columns: 1fr 1fr;
    }
}

.payment-system {
    color: #585757;
    font-weight: 500;
    font-size: rem(16);
    line-height: 135%;
    display: flex;
    flex-direction: column;
    column-gap: rem(10);

    &__icon {
        width: rem(100);
        flex-shrink: 0;
    }

    &__title {
        color: $secondary;
        font-weight: 600;
        font-size: rem(18);
        line-height: 127%;
        margin-bottom: rem(10);
    }

    p {
        margin: 0;
    }

    @include media-breakpoint-up(sm) {
        flex-direction: row;
        align-items: flex-start;
        column-gap: rem(20);
    }

    @include media-breakpoint-up(md) {
        column-gap: rem(40);

        &__icon {
            width: rem(154);
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {

    }

    @include media-breakpoint-up(xxl) {}

}

.payment-secure {
    color: #585757;
    font-weight: 500;
    line-height: 135%;
    font-size: rem(16);
    overflow: hidden;
    position: relative;
    padding: rem(36) rem(24);
    border: 8px solid #E3F9D4;

    &__title {
        color: #1B1B20;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(20);
        margin-bottom: rem(20);
    }

    &__media {
        width: rem(154);
        flex-shrink: 0;
        margin-bottom: rem(30);
    }

    &__content {
        z-index: 10;
        position: relative;

        p {
            margin-bottom: rem(12);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }


    @include media-breakpoint-up(md) {
        border-width: rem(12);
        padding: rem(36) rem(36);
    }

    @include media-breakpoint-up(lg) {
        padding: rem(48) rem(48);
        display: flex;
        align-items: flex-start;
        column-gap: rem(40);

        &__media {
            margin-bottom: 0;
        }
    }


}

.payment-project {
    display: grid;
    grid-row-gap: rem(30);
    grid-column-gap: rem(30);
    grid-template-columns: 1fr;

    &__item {
        color: #585757;
        padding: rem(30) rem(24);
        border: 8px solid #F1F0ED;
    }

    &__title {
        color: #1B1B20;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(20);
        margin-bottom: rem(20);
    }

    @include media-breakpoint-up(md) {

        &__item {
            padding: rem(48);
            border-width: rem(12);
        }
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr;
    }
}

.room-item {
    display: block;
}
